const webpack = require('webpack');

const pkg = require('./package')

module.exports = {
  apiPath: 'stubs/api',
  webpackConfig: {
    output: {
      publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`,
    },
    plugins: [
      new webpack.DefinePlugin({
        KC_URL: process.env.KC_URL || '"https://kc.bro-js.ru"',
        KC_REALM: process.env.KC_REALM || '"bro-js"',
        KC_CLIENT_ID: process.env.KC_CLIENT_ID || '"journal"',
      }),
    ],
  },
  navigations: {
    'journal.main': '/journal.pl',
    'exam.main': '/exam',
    'link.exam.details': '/details/:courseId/:examId',
    'link.journal.attendance': '/attendance/:courseId',
  },
  features: {
    journal: {
      'lesson.bar': {
        on: true,
        value: '',
        key: 'lesson.bar',
      },
      'group.by.date': {
        on: true,
        value: '',
        key: 'group.by.date',
      },
      'course.statistics': {
        on: true,
        value: '',
        key: 'course.statistics',
      },
      'courses.statistics': {
        on: true,
        value: '',
        key: 'courses.statistics',
      },
    },
  },
  config: {
    'journal.back.url': '/api',
    'journal.polling-interval': '10000',
  },
}
